<?php

session_start();

require_once ("../../config/Cado.php");
require_once ("../empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("../egreso/cEgreso.php");
$oEgreso = new cEgreso();
require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora();
require_once ("../usuario/cUsuario.php");
$oUsuario = new cUsuario();
require_once("../formatos/formato.php");
require_once("../formatos/numletras.php");

	
	$dts= $oEgreso->mostrarUno($_POST['egr_id']);
	$numros = mysqli_num_rows($dts);
//	echo $numros;
	$dt = mysqli_fetch_array($dts);
	$fecreg		=mostrarFechaHora($dt['tb_egreso_fecreg']);
	$fecmod		=mostrarFechaHora($dt['tb_egreso_fecmod']);
	$usureg		=$dt['tb_egreso_usureg'];
	$usumod		=$dt['tb_egreso_usumod'];
	$egr_fec	=mostrarFecha($dt['tb_egreso_fec']);
	$egr_det		=$dt['tb_egreso_det'];
	$egr_mon	=formato_money($dt['tb_egreso_imp']);
	mysqli_free_result($dts);

if($usureg>0)
{
	$dts=$oUsuario->mostrarUno($usureg);
	$dt = mysqli_fetch_array($dts);
	$usugru		=$dt['tb_usuariogrupo_id'];
	$usugru_nom	=$dt['tb_usuariogrupo_nom'];
	$usu_nom	=$dt['tb_usuario_nom'];
	$apepat		=$dt['tb_usuario_apepat'];
	$apemat		=$dt['tb_usuario_apemat'];
	$ema		=$dt['tb_usuario_ema'];
	mysqli_free_result($dts);
	$usuario_reg="$usu_nom $apepat $apemat";
}

/*
	$dtsven= $oVenta->mostrarUno_ticket($ven_id);
	$dtven= mysqli_fetch_array($dtsven);
	$ven_numDoc	=$dtven['numdoc'];
	$ven_docNom=$dtven['tb_documento_nom'];
	$ven_docAbr=$dtven['tb_documento_abr'];	
	$ven_venNom=$dtven['tb_usuario_nom'].' '.$dtven['tb_usuario_ape'];
	$ven_fecReg=$dtven['tb_venta_reg'];
	$ven_fec=$dtven['tb_venta_fec'];
	$ven_valven=$dtven['tb_venta_valven'];
	$ven_igv=$dtven['tb_venta_igv'];
	$ven_tot=$dtven['tb_venta_tot'];
	$ven_igvval=$dtven['tb_venta_igvval'];
	$ven_igvsub=$dtven['tb_venta_igvsub'];
	$ven_igvigv=$dtven['tb_venta_igvigv'];
	$ven_pisNom=$dtven['tb_piso_nom'];
	$ven_moneid = $dtven['moneid'];
	$cliNom=$dtven['tb_cliente_nom'];
	$cliDoc=$dtven['doc'];
	$cliDir=$dtven['dir'];
	$cliId=$dtven['cliid'];
	$emp_id =$dtven['tb_empresa_id'];
	$punven_cod = $dtven['tb_puntoventa_cod'];
	$data['punven_cod']	=$punven_cod;
	mysqli_free_result($dtsven);

*/

$dtsi=$oImpresora->mostrarUno(1);
$dti = mysqli_fetch_array($dtsi);
	$imp_nom 	=$dti['tb_impresora_nom'];
	$imp_nomloc =$dti['tb_impresora_nomloc'];
	$imp_ser 	=$dti['tb_impresora_ser'];
	$imp_url 	=$dti['tb_impresora_url'];
	$imp_ip 	=$dti['tb_impresora_ip'];
mysqli_free_result($dts);


$dts=$oEmpresa->mostrarUno(1);
$dt = mysqli_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];
	$emp_nomcom=$dt['tb_empresa_nomcom'];
	$emp_razsoc=$dt['tb_empresa_razsoc'];
	$emp_dir=$dt['tb_empresa_dir'];
	$emp_dir2=$dt['tb_empresa_dir2'];
	$emp_tel=$dt['tb_empresa_tel'];
	$emp_ema=$dt['tb_empresa_ema'];
	$emp_rep=$dt['tb_empresa_rep'];
	$emp_fir=$dt['tb_empresa_fir'];
mysqli_free_result($dts);

// DATOS A IMPRIMIR

$data['imp_nom'] = $imp_nom;
$data['imp_nomloc'] = $imp_nomloc;
$data['imp_ser'] = $imp_ser;
$data['imp_url'] = $imp_url;
$data['imp_ip']	 = $imp_ip;
$archivo_ticket='egreso/egreso_ticket_mat.php';
$data['imp_doc'] = $imp_url.$archivo_ticket;

$data['emp_razsoc'] =$emp_razsoc;
$data['emp_nomcom'] =$emp_nomcom;
$data['emp_ruc']	=$emp_ruc;
$data['emp_dir1']	=$emp_dir;
$data['emp_dir2']	=$emp_dir2;
$data['emp_tel']	=$emp_tel;
$data['emp_rep']	=$emp_rep;


$data['egr_fec'] = $egr_fec;
$data['egr_det']	=$egr_det;
$data['egr_mon']	=$egr_mon;
$data['egr_usureg']	=$usuario_reg;

echo json_encode($data);




?>